/* eslint-env node */
var FormData = require('form-data');

module.exports = {
  name: 'upload-sourcemaps',
  description: 'Upload sourcemaps to rollbar',
  works: 'insideProject',
  availableOptions: [
    {
      name: 'assets-dir',
      type: String,
      default: './dist/assets',
      aliases: ['dir']
    },
    {
      name: 'auth-token',
      type: String,
      aliases: ['t'],
      required: true
    },
    {
      name: 'rollbar-endpoint',
      type: String,
      aliases: ['h'],
      default: 'https://api.rollbar.com/api/1/sourcemap'
    },
  ],

  run: function(options) {
    var token = options.authToken;
    var hostUrl = options.rollbarEndpoint;
    var formData = new FormData();

    formData.append('access_token', token);
    formData.append('version', revisionKey);

    console.log(this);
  },
}

// URL_BASE="https://my.website.com"
//
// for js in dist/assets/*.js; do
//   # $js has the full path.  Chop it down to just the file name.
//   filename=$(basename ${js})
//
//   if [ "$EMBER_ENV" == "production" ]; then
//     # Production requires a little more work because of Ember CLI's fingerprinting.
//     # First, remove the ember-generated fingerprint and .js extension.  This prefix is common between JS and MAP file.
//     filebase=$(expr match "$filename" '\(.*-\)')
//
//     # Find the map file with this prefix.  We take extra care to make sure it's simply the prefix + fingerprint + .map.
//     # Without this additional logic, spigotlabs-abcd.map and spigotlabs-frontend-dcba.map would both match while handling
//     # spigotlabs-1234.js
//     mapfile=$(find dist/assets -regex "dist/assets/${filebase}[0-9a-f]+\.map")
//   else
//     mapfile=${js%%.js}.map
//   fi
//
//   if [ -e ${mapfile} ]; then
//     echo "Uploading js/map files to Rollbar: ${filename}, ${mapfile}"
//     curl https://api.rollbar.com/api/1/sourcemap \
//       -F access_token=${ROLLBAR_ACCESS_TOKEN} \
//       -F version=${SOURCE_VERSION} \
//       -F minified_url=${URL_BASE}/assets/${filename} \
//       -F source_map=@${mapfile}
//   fi
// done
